import dateformat from 'dateformat';
import global from '../api/config';

export default {
    install(Vue) {
        /**
         * 日期格式化
         * https://www.npmjs.com/package/dateformat
         */
        Vue.prototype.$dateformat = function (date, format) {
            return date ? dateformat(date, format) : ''
        };

        /**
         * 重置数据
         * */
        Vue.prototype.$resetFields = function (formObj) {
            let newFormObj = {}
            for (let key in formObj) {
                newFormObj[key] = ''
            }
            return newFormObj;
        };

        /**
         * 序列化formObj  只返回有值的
         * @param formObj
         */
        Vue.prototype.$serializeForm = function (formObj) {
            const newFormObj = {}
            for (const key in formObj) {
                // 不为空的时候传值
                if (formObj[key] !== '') {
                    newFormObj[key] = formObj[key]
                }
            }
            return newFormObj
        }

        /**
         * 全局的配置
         * @type {{getLogin, logout, baseURL, setToken, setLogin, getToken, version}}
         */
        Vue.prototype.$global = global
    },
}
